Bug 1417626 - Drop obsolete pam_krb5 from default installation
Summary: Drop obsolete pam_krb5 from default installation
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Václav Pavlín
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1425012
TreeView+ depends on / blocked
 
Reported: 2017-01-30 13:02 UTC by Marko Myllynen
Modified: 2018-05-29 11:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1425012 (view as bug list)
Environment:
Last Closed: 2018-05-29 11:45:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Marko Myllynen 2017-01-30 13:02:02 UTC
Description of problem:
pam_krb5 should be dropped from the default installation (seen at least on Workstation), SSSD should be used nowadays instead.

Comment 1 Kevin Fenzi 2017-02-18 16:22:44 UTC
Sounds reasonable (althought I would defer to sgallagh here). 

Care to send in a PR against fedora-comps to remove it?

Comment 2 Marko Myllynen 2017-02-20 11:27:34 UTC
(In reply to Kevin Fenzi from comment #1)
> Sounds reasonable (althought I would defer to sgallagh here). 
> 
> Care to send in a PR against fedora-comps to remove it?

I cloned this BZ against rawhide/comps, hopefully this is what you meant.

Thanks.

Comment 3 Kevin Fenzi 2017-02-20 17:31:11 UTC
er... no. :( 

I meant make a Pull Request against the fedora-comps pagure project: 
https://pagure.io/fedora-comps

ie, login, fork that, make branch, make changes, push branch, make pull request, then folks can review it and merge it. 

I can try and do so, but not sure when I will get to it.

Comment 4 Marko Myllynen 2017-02-20 17:34:30 UTC
(In reply to Kevin Fenzi from comment #3)
> er... no. :( 
> 
> I meant make a Pull Request against the fedora-comps pagure project:

Right, I thought PR meant Problem Report here as it means in some circles :)
 
> https://pagure.io/fedora-comps
> 
> ie, login, fork that, make branch, make changes, push branch, make pull
> request, then folks can review it and merge it. 
> 
> I can try and do so, but not sure when I will get to it.

Ok, thanks for the info, let's see who will get to that first.

Thanks.

Comment 5 Stephen Gallagher 2017-02-27 13:42:03 UTC
CCing a few other people whose opinions here would matter.

In general, I am fine with dropping pam_krb5 from the default installation in favor of sssd-krb5. There *are* still some limited scenarios where %auth in a kickstart will set up pam_krb5 instead (such as when the identity provider is NIS), but those setups should be few and far between these days and I have no particular issues with requiring them to explicitly add this package to their kickstart to keep using it.

Comment 6 Jakub Hrozek 2017-02-27 14:41:10 UTC
(In reply to Stephen Gallagher from comment #5)
> CCing a few other people whose opinions here would matter.
> 
> In general, I am fine with dropping pam_krb5 from the default installation
> in favor of sssd-krb5. There *are* still some limited scenarios where %auth
> in a kickstart will set up pam_krb5 instead (such as when the identity
> provider is NIS), but those setups should be few and far between these days
> and I have no particular issues with requiring them to explicitly add this
> package to their kickstart to keep using it.

I only know about a couple of fairly esoteric options that pam_krb5 supports and pam_sss doesn't like:
https://pagure.io/SSSD/sssd/issue/2048
or the ability of pam_krb5 to remove credentials on logout:
https://pagure.io/SSSD/sssd/issue/2992

the latter will be supported by KCM with the support of per-login-session credentials.

Comment 7 Stephen Gallagher 2017-02-27 14:50:06 UTC
(In reply to Jakub Hrozek from comment #6)
> I only know about a couple of fairly esoteric options that pam_krb5 supports
> and pam_sss doesn't like:
> https://pagure.io/SSSD/sssd/issue/2048
> or the ability of pam_krb5 to remove credentials on logout:
> https://pagure.io/SSSD/sssd/issue/2992
> 
> the latter will be supported by KCM with the support of per-login-session
> credentials.

Anyone using those options are likely to be people who know what they are doing (and therefore probably won't care that they have to list the package explicitly).

Comment 8 Fedora End Of Life 2017-02-28 11:08:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 9 Fedora End Of Life 2018-05-03 07:58:42 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2018-05-29 11:45:27 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.